; x17/theme.jl



(let*
  (
    (font (get-font "-*-lucida-medium-r-normal-*-*-100-*-*-p-*-iso8859-1"))
    (font-colors (list "white" "black"))
    
	(title-images (list (make-image "title_inact.png")
                            (make-image "title.png")))
        (iconify-images (make-image "min.png"))
     	(maximize-images (make-image "maximize.png"))
     	(close-images (make-image "close.png"))

     	(border-top (make-image "top_border.png"))
	(border-bottom (make-image "bottom_border.png"))
     	(border-right (make-image "right_border.png"))
     	(border-left (make-image "left_border.png"))

        (corner-tl-2 (make-image "top_left_corner_2.png"))
	(corner-tr-2 (make-image "top_right_corner_2.png"))
     	(corner-tl (list (make-image "top_left_corner_inact.png")
			 (make-image "top_left_corner.png")))
     	(corner-tr (make-image "top_right_corner.png"))
     	(corner-bl (make-image "bottom_left_corner.png"))
     	(corner-br (make-image "bottom_right_corner.png"))

     	(frame `(

		((background . ,title-images)
		 (foreground . ,font-colors)
		 (font . ,font)
		 (text . ,window-name)
		 (x-justify . 16)
                 (y-justify . center)
		 (top-edge . -18)
		 (left-edge . 0)
		 (right-edge . 0)
		 (class . title))

		((background . ,iconify-images)
      		 (top-edge . -15)
		 (right-edge . 30) 
		 (class . iconify-button))

     		((background . ,maximize-images)
      		 (top-edge . -15)
      		 (right-edge . 15)
      		 (class . maximize-button))

    		((background . ,close-images)
      		 (top-edge . -15)
      		 (right-edge . 1)
      		 (class . close-button))

     		((background . ,border-left)
      		 (top-edge . -16)
      		 (bottom-edge . 0)
      		 (left-edge . -5) 
      		 (class . left-border))

     		((background . ,border-right)
      		 (top-edge . -16)
      		 (bottom-edge . 0)
      		 (right-edge . -5)
      		 (class . right-border))

     		((background . ,border-bottom)
      		 (bottom-edge . -5)
      		 (right-edge . 0)  
      		 (left-edge . 0)   
      		 (class . bottom-border))

     		((background . ,corner-tl)
      		 (top-edge . -18)
      		 (left-edge . -5)
      		 (class . top-left-corner))

     		((background . ,corner-tr)
      		 (top-edge . -18)
      		 (right-edge . -5)
      		 (class . top-right-corner))

     		((background . ,corner-bl)
      		 (bottom-edge . -5)
      		 (left-edge . -5)  
      		 (class . bottom-left-corner))

     		((background . ,corner-br)
      		 (bottom-edge . -5)
      		 (right-edge . -5) 
      		 (class . bottom-right-corner))
	))

	(shaped-frame `(
      
     		((background . ,title-images)
      		 (foreground . ,font-colors)
		 (font . ,font)
		 (text . ,window-name)
                 (x-justify . 16)
                 (y-justify . center)
		 (top-edge . -18)
      		 (left-edge . 0)
      		 (right-edge . 0)
      		 (class . title))

     		((background . ,iconify-images)
      		 (top-edge . -15)
      		 (right-edge . 30) 
      		 (class . iconify-button))

     		((background . ,maximize-images)
      		 (top-edge . -15)
      		 (right-edge . 15)
      		 (class . maximize-button))

     		((background . ,close-images)
      		 (top-edge . -15)
      		 (right-edge . 1)
      		 (class . close-button))

         	((background . ,corner-tl)
      		 (top-edge . -18)
      		 (left-edge . -5)
      		 (class . top-left-corner))

     		((background . ,corner-tr)
      		 (top-edge . -18)
      		 (right-edge . -5)
      		 (class . top-right-corner))
	))

	(transient-frame `(

		((background . ,border-top)
		 (top-edge . -5)
		 (left-edge . 0)
		 (right-edge . 0)
		 (class . title))

     		((background . ,border-left)
      		 (top-edge . 3)
      		 (bottom-edge . 0)
      		 (left-edge . -5) 
      		 (class . left-border))

     		((background . ,border-right)
      		 (top-edge . 3)
      		 (bottom-edge . 0)
      		 (right-edge . -5)
      		 (class . right-border))

     		((background . ,border-bottom)
      		 (bottom-edge . -5)
      		 (right-edge . 0)  
      		 (left-edge . 0)   
      		 (class . bottom-border))

     		((background . ,corner-tl-2)
      		 (top-edge . -5)
      		 (left-edge . -5)
      		 (class . top-left-corner))

     		((background . ,corner-tr-2)
      		 (top-edge . -5)
      		 (right-edge . -5)
      		 (class . top-right-corner))

     		((background . ,corner-bl)
      		 (bottom-edge . -5)
      		 (left-edge . -5)  
      		 (class . bottom-left-corner))

     		((background . ,corner-br)
      		 (bottom-edge . -5)
      		 (right-edge . -5) 
      		 (class . bottom-right-corner))
	))
	
	(shaped-transient-frame `(
      
     		((background . ,title-images)
      		 (foreground . ,font-colors)
		 (font . ,font)
		 (text . ,window-name)
                 (x-justify . 16)
                 (y-justify . center)
		 (top-edge . -18)
      		 (left-edge . 0)
      		 (right-edge . 0)
      		 (class . title))				    

     		((background . ,iconify-images)
      		 (top-edge . -15)
      		 (right-edge . 30) 
      		 (class . iconify-button))

                ((background . ,maximize-images)
		 (top-edge . -15)
		 (right-edge . 15)
		 (class . maximize-button))

     		((background . ,close-images)
      		 (top-edge . -15)
      		 (right-edge . 1)
      		 (class . close-button))

         	((background . ,corner-tl)
      		 (top-edge . -18)
      		 (left-edge . -5)
      		 (class . top-left-corner))

     		((background . ,corner-tr)
      		 (top-edge . -18)
      		 (right-edge . -5)
      		 (class . top-right-corner))

	))
	
  )
  (add-frame-style 'x17
    	(lambda (w type)   
          (cond 
	      ((eq type 'shaped) shaped-frame)
              ((eq type 'transient) transient-frame)
              ((eq type 'shaped-transient) shaped-transient-frame)
              ((eq type 'unframed) nil-frame)
              (t frame)))))
